Xerces 3.1.1 API: Class HTMLAnchorElementImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLAnchorElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLAnchorElementImpl

public final class HTMLAnchorElementImpl
extends HTMLElementImpl
implements HTMLAnchorElement

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:08 $
See Also:
  `HTMLAnchorElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLAnchorElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`void` | `blur()` Removes keyboard focus from this element.
`void` | `focus()` Gives keyboard focus to this element.
`java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` | `getCharset()` The character encoding of the linked resource.
`java.lang.String` | `getCoords()` Comma-separated list of lengths, defining an active region geometry.
`java.lang.String` | `getHref()` The URI of the linked resource.
`java.lang.String` | `getHreflang()` Language code of the linked resource.
`java.lang.String` | `getName()` Anchor name.
`java.lang.String` | `getRel()` Forward link type.
`java.lang.String` | `getRev()` Reverse link type.
`java.lang.String` | `getShape()` The shape of the active area.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getTarget()` Frame to render the resource in.
`java.lang.String` | `getType()` Advisory content type.
`void` | `setAccessKey(java.lang.String accessKey)`
`void` | `setCharset(java.lang.String charset)`
`void` | `setCoords(java.lang.String coords)`
`void` | `setHref(java.lang.String href)`
`void` | `setHreflang(java.lang.String hreflang)`
`void` | `setName(java.lang.String name)`
`void` | `setRel(java.lang.String rel)`
`void` | `setRev(java.lang.String rev)`
`void` | `setShape(java.lang.String shape)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setTarget(java.lang.String target)`
`void` | `setType(java.lang.String type)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLAnchorElementImpl

    public HTMLAnchorElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAccessKey

    public java.lang.String getAccessKey()

  Description copied from interface: HTMLAnchorElement
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.
  Specified by:
    getAccessKey in interface HTMLAnchorElement

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  Specified by:
    setAccessKey in interface HTMLAnchorElement

### getCharset

    public java.lang.String getCharset()

  Description copied from interface: HTMLAnchorElement
  The character encoding of the linked resource. See the charset attribute definition in HTML 4.0.
  Specified by:
    getCharset in interface HTMLAnchorElement

### setCharset

    public void setCharset(java.lang.String charset)

  Specified by:
    setCharset in interface HTMLAnchorElement

### getCoords

    public java.lang.String getCoords()

  Description copied from interface: HTMLAnchorElement
  Comma-separated list of lengths, defining an active region geometry. See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.0.
  Specified by:
    getCoords in interface HTMLAnchorElement

### setCoords

    public void setCoords(java.lang.String coords)

  Specified by:
    setCoords in interface HTMLAnchorElement

### getHref

    public java.lang.String getHref()

  Description copied from interface: HTMLAnchorElement
  The URI of the linked resource. See the href attribute definition in HTML 4.0.
  Specified by:
    getHref in interface HTMLAnchorElement

### setHref

    public void setHref(java.lang.String href)

  Specified by:
    setHref in interface HTMLAnchorElement

### getHreflang

    public java.lang.String getHreflang()

  Description copied from interface: HTMLAnchorElement
  Language code of the linked resource. See the hreflang attribute definition in HTML 4.0.
  Specified by:
    getHreflang in interface HTMLAnchorElement

### setHreflang

    public void setHreflang(java.lang.String hreflang)

  Specified by:
    setHreflang in interface HTMLAnchorElement

### getName

    public java.lang.String getName()

  Description copied from interface: HTMLAnchorElement
  Anchor name. See the name attribute definition in HTML 4.0.
  Specified by:
    getName in interface HTMLAnchorElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface HTMLAnchorElement

### getRel

    public java.lang.String getRel()

  Description copied from interface: HTMLAnchorElement
  Forward link type. See the rel attribute definition in HTML 4.0.
  Specified by:
    getRel in interface HTMLAnchorElement

### setRel

    public void setRel(java.lang.String rel)

  Specified by:
    setRel in interface HTMLAnchorElement

### getRev

    public java.lang.String getRev()

  Description copied from interface: HTMLAnchorElement
  Reverse link type. See the rev attribute definition in HTML 4.0.
  Specified by:
    getRev in interface HTMLAnchorElement

### setRev

    public void setRev(java.lang.String rev)

  Specified by:
    setRev in interface HTMLAnchorElement

### getShape

    public java.lang.String getShape()

  Description copied from interface: HTMLAnchorElement
  The shape of the active area. The coordinates are given by `coords` . See the shape attribute definition in HTML 4.0.
  Specified by:
    getShape in interface HTMLAnchorElement

### setShape

    public void setShape(java.lang.String shape)

  Specified by:
    setShape in interface HTMLAnchorElement

### getTabIndex

    public int getTabIndex()

  Description copied from interface: HTMLAnchorElement
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.
  Specified by:
    getTabIndex in interface HTMLAnchorElement

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    setTabIndex in interface HTMLAnchorElement

### getTarget

    public java.lang.String getTarget()

  Description copied from interface: HTMLAnchorElement
  Frame to render the resource in. See the target attribute definition in HTML 4.0.
  Specified by:
    getTarget in interface HTMLAnchorElement

### setTarget

    public void setTarget(java.lang.String target)

  Specified by:
    setTarget in interface HTMLAnchorElement

### getType

    public java.lang.String getType()

  Description copied from interface: HTMLAnchorElement
  Advisory content type. See the type attribute definition in HTML 4.0.
  Specified by:
    getType in interface HTMLAnchorElement

### setType

    public void setType(java.lang.String type)

  Specified by:
    setType in interface HTMLAnchorElement

### blur

    public void blur()

  Description copied from interface: HTMLAnchorElement
  Removes keyboard focus from this element.
  Specified by:
    blur in interface HTMLAnchorElement

### focus

    public void focus()

  Description copied from interface: HTMLAnchorElement
  Gives keyboard focus to this element.
  Specified by:
    focus in interface HTMLAnchorElement

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD